Bug 994930 - KDE SIG updating issues
KDE SIG updating issues
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 05:23 EDT by Ali Akcaagac
Modified: 2014-06-08 06:22 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 08:43:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
aliakc: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Ali Akcaagac 2013-08-08 05:23:33 EDT
This is not nesessarily a kdebase issue rather than a repository issue. Unfortunately I don't know where to report such an issue on bugzilla.

I use the KDE repo from SIG to update kde-testing every now and then. Unfortunately I REGULARY get this kind of error reports below

;--------------------------------------------------------------------
http://vesta.informatik.rwth-aachen.de/ftp/pub/Linux/fedora/linux/updates/18/i386/kdeartwork-4.10.5-1.fc18.i686.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=updates clean metadata
;--------------------------------------------------------------------
http://mirror.switch.ch/ftp/mirror/fedora/linux/updates/18/i386/kdeartwork-4.10.5-1.fc18.i686.rpm: [Errno 14] curl#22 - "The requested URL returned error: 416 Requested Range Not Satisfiable"
;--------------------------------------------------------------------
... over thousands of the ouput with same context but different KDE related rpm
;--------------------------------------------------------------------

These files are just an example and only happens with the KDE packages coming from SIG. No other external repo is affected by this issue. What happenes exactly is this.

I wrote a script that downloads all files using yum into a download directoy yum install --downloadonly --releasever=18 --disablepresto --downloaddir=/somepath. Usually before initializing an update I delete the old metadata with yum clean all --releasever=18 / 19 or whatever.

Now whenever it comes to the KDE sig repos the follwing things happen and they seem to be initiated by the KDE update / install process.

a) all KDE related packages that got downloaded previously get deleted. Why ?
b) all KDE related packages are getting re-downloaded again. Why ?
c) often the same KDE packages that got downloaded previously are getting re-downloaded again. Why ?
d) Why am I getting ouput like the pasted lines above when I clearly ran a yum clean all before ? I do not need to clean metadata (as suggested by the ouput) since I already cleaned everything ?

This happens over and over again and only the KDE sig repo behaves like this. My optinion here is, that this behavious is quite irritating and wrong. I initially thought that this might be a conflict with the KDE packages from fedora.repo or any of the update.repo or testing.repo but even so, the files are the same. There is no need to delete and re-download again.

Now how does this go away ?

I need to abort in the middle of a yum download / update process (and it already had downloaded 100mb or more) and then re-initiate the same update process again. Until at the 2nd time it gets the things right.

But it should be right at the first case already.

In case this bug reaches the wrong people. Please be so kind and forward it to the correct maintainers of the SIG packages.
Comment 1 Rex Dieter 2013-08-14 08:00:18 EDT
The errors you report are from fedora's repositories, not the kde-sig one(s).

yum should definitely keep partial downloads (unless it thinks that checksums have changed perhaps).

That all said, I can't explain why you experience the errors you do.

One thing to try to test your assertion(s), if you disable the stuff in kde.repo (or whatever you named it), does that help?
Comment 2 Rex Dieter 2013-11-21 08:43:26 EST
closing for lack of feedback

Note You need to log in before you can comment on or make changes to this bug.